Page MenuHomePhabricator

1.33.0-wmf.14 deployment blockers
Closed, ResolvedPublicRelease

Details

2019 week 04 1.33-wmf.14 Changes wmf/1.33.0-wmf.14

This MediaWiki Train Deployment is scheduled for the week of Monday, January 21st:

Monday January 21stTuesday, January 22ndWednesday, January 23rdThursday, January 24thFriday
SWAT deployments only.Branch wmf.14 and deploy to Group 0 Wikis.Deploy wmf.14 to Group 1 Wikis.Deploy wmf.14 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.14 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.33.0-wmf.13
Next: 1.33.0-wmf.15

Event Timeline

greg created this task.Oct 10 2018, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:23 PM
greg triaged this task as Medium priority.Oct 10 2018, 7:26 PM
mmodell claimed this task.Jan 22 2019, 7:52 PM

Change 485958 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/485958

Change 485958 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/485958

Mentioned in SAL (#wikimedia-operations) [2019-01-22T21:39:42Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.33.0-wmf.14 refs T206668

Mentioned in SAL (#wikimedia-operations) [2019-01-22T22:22:41Z] <twentyafterfour@deploy1001> Finished scap: testwikis wikis to 1.33.0-wmf.14 refs T206668 (duration: 43m 00s)

Was the wmf.14 branch cut?

@dbarratt: yes, it was logged above, see:

Mentioned in SAL (#wikimedia-operations) [2019-01-22T22:22:41Z] <twentyafterfour@deploy1001> Finished scap: testwikis wikis to 1.33.0-wmf.14 refs T206668 (duration: 43m 00s)

Change 486143 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/486143

Change 486143 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/486143

Mentioned in SAL (#wikimedia-operations) [2019-01-23T20:07:11Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.33.0-wmf.14 refs T206668

Mentioned in SAL (#wikimedia-operations) [2019-01-23T20:09:57Z] <twentyafterfour> twentyafterfour@deploy1001 rebuilt and synchronized wikiversions files: group0 wikis to 1.33.0-wmf.14 refs T206668

Change 486151 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.13 refs T206668

https://gerrit.wikimedia.org/r/486151

Change 486151 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.13 refs T206668

https://gerrit.wikimedia.org/r/486151

Mentioned in SAL (#wikimedia-operations) [2019-01-23T20:23:49Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.33.0-wmf.13 refs T206668

Change 486155 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/486155

Change 486155 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/486155

Mentioned in SAL (#wikimedia-operations) [2019-01-23T20:33:14Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.33.0-wmf.14 refs T206668

Change 486156 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/486156

Change 486156 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/486156

Mentioned in SAL (#wikimedia-operations) [2019-01-23T20:42:31Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.33.0-wmf.14 refs T206668

Mentioned in SAL (#wikimedia-operations) [2019-01-23T20:43:24Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.33.0-wmf.14 refs T206668 (duration: 00m 52s)

Change 486158 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.13 refs T206668

https://gerrit.wikimedia.org/r/486158

Change 486158 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.13 refs T206668

https://gerrit.wikimedia.org/r/486158

Mentioned in SAL (#wikimedia-operations) [2019-01-23T20:50:01Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.33.0-wmf.13 refs T206668

Mentioned in SAL (#wikimedia-operations) [2019-01-23T20:50:54Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.33.0-wmf.13 refs T206668 (duration: 00m 52s)

dbarratt removed a subscriber: dbarratt.Jan 23 2019, 9:13 PM

Change 486184 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/486184

Change 486184 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/486184

Mentioned in SAL (#wikimedia-operations) [2019-01-23T23:26:45Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.33.0-wmf.14 refs T206668

Mentioned in SAL (#wikimedia-operations) [2019-01-23T23:28:54Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.33.0-wmf.14 refs T206668 (duration: 00m 52s)

Change 486370 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/486370

Change 486370 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.33.0-wmf.14 refs T206668

https://gerrit.wikimedia.org/r/486370

Mentioned in SAL (#wikimedia-operations) [2019-01-24T20:47:07Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.33.0-wmf.14 refs T206668

Mentioned in SAL (#wikimedia-operations) [2019-01-24T21:16:39Z] <twentyafterfour@deploy1001> Synchronized php-1.33.0-wmf.14/extensions/AbuseFilter/includes/Views/AbuseFilterView.php: sync I67ca475fa16ea449820f8c735531c2cc1b0ec975 refs T206668 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2019-01-24T21:40:23Z] <twentyafterfour> Finished MediaWiki train for 1.33.0-wmf.14 (T206668) - there is no train next week so I'll be back with wmf.16 (T206670) in two weeks.

mmodell closed this task as Resolved.Jan 24 2019, 9:41 PM